Summary: Default startup script for X Windows with KDE support
Name: xinitrc
Version: 1.6
Release: 1.KDE
Copyright: Public Domain
Group: X11
Source0: xinitrc-xinitrc
Source1: xinitrc-Xclients
Source2: xinitrc-RunWM
Buildroot: /var/tmp/xinitrc-root
Requires: XFree86 /bin/sh
BuildArchitectures: noarch
Summary(de): Standard-Startskript fr X Windows  
Summary(fr): Script de dmarrage par dfaut de X Window
Summary(tr): X Windows'un ntanml al dosyas

%description
This package contains the basic X windows startup script used by the "startx"
command with support for KDE enviroment.

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/X11/xinit
for i in xinitrc Xclients ; do
   install -m 755 $RPM_SOURCE_DIR/xinitrc-$i $RPM_BUILD_ROOT/etc/X11/xinit/$i
done
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 755 $RPM_SOURCE_DIR/xinitrc-RunWM $RPM_BUILD_ROOT/usr/X11R6/bin/RunWM
for i in Fvwm95 MWM AfterStep WindowMaker KDE ; do
	ln -sf RunWM $RPM_BUILD_ROOT/usr/X11R6/bin/RunWM.$i
done
%clean
rm -rf $RPM_BUILD_ROOT

%files
/etc/X11/xinit/*
/usr/X11R6/bin/*

%changelog
* Sun Feb 07 1999 Peter Soos <sp@osb.hu>
- added KDE support

* Fri Sep 18 1998 Cristian Gafton <gafton@redhat.com>
- added the RunWM script and modified Xclients to use this new script

* Sun Sep 13 1998 Cristian Gafton <gafton@redhat.com>
- included WindowMaker hints

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 22 1998 Cristian Gafton <gafton@redhat.com>
- handle AfterStep (and possibly other window managers)

* Tue Nov 11 1997 Michael K. Johnson <johnsonm@redhat.com>
- export the BROWSER variable.

* Fri Nov 08 1997 Cristian Gafton <gafton@redhat.com>
- added handling for the BROWSER variable

* Wed Oct 15 1997 Cristian Gaftin <gafton@redhat.com>
- updated for AnotherLevel

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built for glibc, added dependencies

* Thu Mar 20 1997 Erik Troan <ewt@redhat.com>
- Added /etc/X11/xinitrc/Xclients to this file and removed it from rootfiles
  and etcskel.

